## efp 1.6

=== Makefile ===
#!/usr/bin/make -f
# Makefile for "Escape From Pong"

version   := 6
tar       := efp-1.$(version).tar.gz
tar_dir   := efp-1.$(version)
zip       := Escape_from_Pong_r$(version).zip
sources   := asm_to_a65.pl efp.asm efp.txt LICENSE makeefp.bat Makefile
xa65_args := -v5 -M
dasm_args := -f3

# Set xa65= or dasm= on the command line to disable autodetection.
dasm := $(shell which dasm)
xa65 := $(shell which xa)

# User targets.
.PHONY: all release clean

# Implementation.
objs :=

all: efp.nes efpbw.nes

ifneq (,$(xa65))
  efp.nes efpbw.nes: %.nes: %.a65
	$(xa65) $(xa65_args) $< -o $@ -l $*.lst
else ifneq (,$(dasm))
  efp.nes efpbw.nes: %.nes: %.asm
	$(dasm) $< $(dasm_args) -o$@ -l$*.lst
else
  $(error Neither xa nor dasm seems available.)
endif
objs += efp.nes efpbw.nes efp.lst efpbw.lst

efpbw.asm: efp.asm
	sed -e '/^THRUST/d' -e 's/^;THRUST/THRUST/' $^ > $@
objs += efpbw.asm

efp.a65 efpbw.a65: %.a65: asm_to_a65.pl %.asm
	perl $^ > $@
objs += efp.a65 efpbw.a65

release: $(tar) $(zip)

$(tar): $(sources)
	tar caf $@ --transform='s|^|$(tar_dir)/|' $^
objs += $(tar)

$(zip): $(sources) $(nes_files)
	zip $@ $^
objs += $(zip)

clean:
	$(RM) $(objs)

## efp 1.5

=== debian/changelog ===
efp (1.5-1) unstable; urgency=medium

  * Orphan the package.
  * New upstream release.
  * Update URL in watch file. Closes: #450358.
  * Replace menu file with desktop file. Closes: #737865.
  * Fix fceu name (fceux -> fceux) and path (/usr/bin -> games).
  * Debhelper 10, Standards-Version 4.0.0, Homepage, copyright format 1.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 31 Jul 2017 16:28:34 +0200

efp (1.4-2) unstable; urgency=low

  * Ack NMU, thanks Steinar! closes: #397828.
  * Add binary-arch target to debian/rules for policy compliance.
    Thanks to Aurelien Jarno <aurel32@debian.org>, closes: #395594.
  * Bump debhelper to v5, std-ver to 3.7.2.2

 -- Joe Nahmias <jello@debian.org>  Mon, 25 Dec 2006 06:52:08 +0000

efp (1.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Depend on the emulators instead of recommending them; also, fceu-sdl has
    been renamed to fceu, so rename in the dependency too.
    (Closes: #397828)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 17 Nov 2006 02:29:18 +0100

efp (1.4-1) unstable; urgency=low

  * New upstream release
      + fixes over-acceleration cheat in -rev version, closes: #234660.
      + adds level 13.
      + NES header is now in the source (removes header.bin).
  * debian/control: updated description.
  * debian/menu: add quotes around section to quiet lintian.

 -- Joe Nahmias <jello@debian.org>  Fri, 27 Feb 2004 01:26:19 -0500

efp (1.3-1) unstable; urgency=low

  * Initial Release, closes: #230663.
  * Many thanks to Adam for his help in porting the code from DASM to xa.
  * README.Debian: added NES emulator compatibility/testing info.
  * Also, include an additional ROM with the controls reversed for ease of
    use.

 -- Joe Nahmias <jello@debian.org>  Tue,  3 Feb 2004 21:32:30 -0500

=== debian/control ===
Source: efp
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), xa65
Standards-Version: 4.0.0
Homepage: http://hcs64.com/efp.html

Package: efp
Architecture: all
Depends: ${misc:Depends},
 fceux | nes-emulator
Description: Escape from Pong NES game
 Escape from Pong is a very small NES game which introduces the concept
 of playing Pong from the ball's point of view. You mission is to escape
 from 13 difficult levels, despite the paddle trying to beat you at
 every turn.
 .
 This game is distributed as an NES ROM.  You will need an NES emulator
 in order to play it.  A list of tested emulators is in README.Debian.
 The provided desktop launcher requires the fceux emulator.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build: efp-rev.nes efp.nes

xa_flags := -v5 -M
efp-rev.nes: xa_flags += -DREVTHRUST=TRUE

efp.nes efp-rev.nes: efp.a65
	xa $(xa_flags) $< -o $@ -l $(@:nes=lst)

efp.a65: debian/trans.pl efp.asm
	perl $^ > $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -f efp.a65 efp.lst efp-rev.lst efp.nes efp-rev.nes

=== debian/watch ===
version=4
http://hcs64.com/efp.html \
files/@PACKAGE@@ANY_VERSION@.orig@ARCHIVE_EXT@

## efp 1.6

=== debian/changelog ===
efp (1.6-3) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * [46a7491] Select dasm without Build-Conflicting: xa65.
    A Make variable override is far less intrusive than requiring a
    system-wide package uninstalled.

  [ Joe Nahmias ]
  * [2cca54f] use DEP-14 branch names
  * [45c094c] bump copyright years
  * [e4554d9] bump std-ver to 4.6.1; no changes needed

 -- Joseph Nahmias <jello@debian.org>  Wed, 26 Oct 2022 22:51:26 -0400

efp (1.6-2) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * [f702f8e] Typo spotted by Adam Gashlin <agashlin@gmail.com>
  * [454974b] Simplify and update copyright
  * [55df65e] Debhelper 13
  * [f6aba05] Standards-Version: 4.5.0, Rules-Requires-Root: no
  * [02d92e3] Publish package history on salsa.debian.org.
  * [07ca481] Transfer maintainership

  [ Joseph Nahmias ]
  * [ab59fee] build using dasm, not xa65 (Closes: 966968)
  * [c85df77] update maintainer field
  * [3381c4c] use salsa-ci pipeline

 -- Joseph Nahmias <jello@debian.org>  Thu, 15 Oct 2020 22:46:10 -0400

efp (1.6-1) unstable; urgency=medium

  * New maintainer. Closes: #869301.
  * New upstream release, applying all Debian patches.
  * Delete trailing whitespaces in this changelog.
  * Use HTTPS protocol for Homepage.
  * Use upstream name for efpbw, instead of Debian-specific efp-rev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 May 2018 04:22:50 +0200

efp (1.5-2) unstable; urgency=medium

  * QA upload.
  * Debhelper 11.
  * Standards-Version 4.1.4. Prefix debhelper config files with package name.
  * Update author address in copyright file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 20:06:36 +0200

=== debian/control ===
Source: efp
Section: games
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends: debhelper-compat (= 13), dasm
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/efp
Vcs-Git: https://salsa.debian.org/debian/efp.git
Homepage: https://hcs64.com/efp.html

Package: efp
Architecture: all
Depends: ${misc:Depends},
 fceux | nes-emulator
Description: Escape from Pong NES game
 Escape from Pong is a very small NES game which introduces the concept
 of playing Pong from the ball's point of view. Your mission is to escape
 from 13 difficult levels, despite the paddle trying to beat you at
 every turn.
 .
 This game is distributed as an NES ROM.  You will need an NES emulator
 in order to play it.  A list of tested emulators is in README.Debian.
 The provided desktop launcher requires the fceux emulator.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Ignore xa65 if installed.  See #966968.
override_dh_auto_build:
	dh_auto_build -- xa65=
